Page MenuHomePhabricator

Warning: data error in /srv/mediawiki/php-1.29.0-wmf.17/includes/Revision.php on line 1351
Closed, ResolvedPublicPRODUCTION ERROR

Description

Error started showing up when I rolled 1.29.0-wmf.17 to group0

https://logstash.wikimedia.org/goto/ddb277f014ad2c4fb0ad2eaaa87202ee

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 21 2017, 8:44 PM

Change 344076 had a related patch set uploaded (by Aaron Schulz):
[mediawiki/core] Make Revision::getRevisionText() cache the converted text

https://gerrit.wikimedia.org/r/344076

Change 344077 had a related patch set uploaded (by Krinkle; owner: Aaron Schulz):
[mediawiki/core] Make Revision::getRevisionText() cache the converted text

https://gerrit.wikimedia.org/r/344077

Krinkle assigned this task to aaron.Mar 22 2017, 4:26 AM
Krinkle triaged this task as High priority.
Krinkle added a project: Performance-Team.

Change 344076 merged by jenkins-bot:
[mediawiki/core] Make Revision::getRevisionText() cache the converted text

https://gerrit.wikimedia.org/r/344076

Change 344106 had a related patch set uploaded (by Hashar):
[mediawiki/core] Revert "Make Revision::getRevisionText() cache the converted text"

https://gerrit.wikimedia.org/r/344106

Change 344106 abandoned by Hashar:
Revert "Make Revision::getRevisionText() cache the converted text"

Reason:
Lets fix it yeah :-}

https://gerrit.wikimedia.org/r/344106

hashar added a subscriber: hashar.Mar 22 2017, 1:06 PM

Typo fixed ExternalStore::decompressRevisionText -> self::decompressRevisionText https://gerrit.wikimedia.org/r/#/c/344109/

Change 344077 merged by jenkins-bot:
[mediawiki/core@wmf/1.29.0-wmf.17] Make Revision::getRevisionText() cache the converted text

https://gerrit.wikimedia.org/r/344077

Krinkle closed this task as Resolved.Mar 22 2017, 8:04 PM
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:10 PM